.course-content-wrapper {
    display: flex;
    justify-content: flex-start;
    padding: 20px;
    position: relative;
}

.course-main-content {
    flex: 1;
    max-width: calc(100% - 470px); 
    margin-right: 20px;
}

.course-sidebar {
    background-color: white;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    position: absolute;
    right: 90px;
    top: -214px;
    min-height: 680px;
    z-index: 10;
    width: 300px;
    padding: 0 4px 0 4px;
}


.course-sidebar .sidebar-section {
    padding: 20px; /* Aplicar o padding apenas aos elementos que precisam */
}

.course-sidebar .video-section {
    padding: 0 5px;
    margin-bottom: 10px;
    background: none !important;
    box-shadow: 1px 7px 5px 0px #ddd;
}

.course-banner {
    position: relative;
    height: 350px;
    background-size: cover;
    background-position: center;
}

.course-banner::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(0 0 0 / 79%); /* Fundo preto transparente cobrindo todo o banner */
    z-index: 1;
}

.banner-content {
    padding: 0 0 0 0 !important;
    max-width: 680px; /* Limite do espaço para o texto */
    position: relative;
    z-index: 2; /* Certifica-se de que o texto fique acima do fundo */
    left: 21px; /* Desloca o texto para a esquerda */
    bottom: 0px;
    margin-top: 54px;
}

.banner-content h1 {
    font-size: 2.5em;
    margin: 0;
}

.banner-content p {
    font-size: 1.2em;
    margin-top: 10px;
}


@media (max-width: 1024px) {
    .course-sidebar {
        position: relative;
        width: 100%;
        margin-top: 20px;
        right: 0;
        top: 0;
        z-index: 0;
    }

    .course-main-content {
        margin-right: 0;
        max-width: 100%;
    }
}

.accordion {
    margin: 32px 0 0 0;
}

.accordion-item {
    color: #434040 !important;
}

.accordion {
    .accordion-item {
        border-bottom: 1px solid #e5e5e5;
        button[aria-expanded='true'] {
            border-bottom: 1px solid #03b5d2;
        }
    }
    button {
        position: relative;
        display: block;
        text-align: left;
        width: 100%;
        padding: 1em 18px;
        color: #3f4041;
        font-size: 1.15rem;
        font-weight: 400;
        border: none;
        background: none;
        outline: none;
        &:hover, &:focus {
            cursor: pointer;
            color: #03b5d2;
            &::after {
                cursor: pointer;
                color: #03b5d2;
                border: 1px solid #03b5d2;
            }
        }
        .accordion-title {
            padding: 1em 1.5em 1em 0;
        }
        .icon {
            display: inline-block;
            position: absolute;
            top: 18px;
            right: 0;
            width: 22px;
            height: 22px;
            border: 1px solid;
            border-radius: 22px;
            &::before {
                display: block;
                position: absolute;
                content: '';
                top: 9px;
                left: 5px;
                width: 10px;
                height: 2px;
                background: currentColor;
            }
            &::after {
                display: block;
                position: absolute;
                content: '';
                top: 5px;
                left: 9px;
                width: 2px;
                height: 10px;
                background: currentColor;
            }
        }
    }
    button[aria-expanded='true'] {
        color: #03b5d2;
        .icon {
            &::after {
                width: 0;
            }
        }
        + .accordion-content {
            opacity: 1;
            max-height: 9em;
            transition: all 200ms linear;
            will-change: opacity, max-height;
            margin: 8px 0 0 28px;
        }
    }
    .accordion-content {
        opacity: 0;
        max-height: 0;
        overflow: hidden;
        transition: opacity 200ms linear, max-height 200ms linear;
        will-change: opacity, max-height;
        p {
            font-size: 1rem;
            font-weight: 300;
            margin: 2em 0;
            left: 20px;
        }
    }
}


.video-banner {
    position: relative;
    display: block;
}

.video-banner:before {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0) 0%, rgba(0, 0, 0, 0.5) 100%);
    background-repeat: repeat-x;
    z-index: 1;
}

.video-banner a {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    display: block;
    z-index: 2;
}

.video-banner a:after {
    content: ""; /* Ícone de play do FontAwesome */
    display: block;
    position: absolute;
    width: 84px;
    height: 84px;
    font-family: 'FontAwesome';
    color: #fff;
    border-radius: 50%;
    border: solid 2px #fff;
    top: 50%;
    left: 50%;
    margin-top: -42px;
    margin-left: -42px;
    line-height: 80px;
    font-size: 46px;
    text-indent: 8px;
    text-align: center;
    background-color: rgba(0, 0, 0, 0.6);
}

/* style_single.css */
.btn-enrolb {
    width: 80%;
    margin: 20px auto; /* Centraliza o botão horizontalmente */
    display: block;
    text-align: center;
    margin-top: 5px; /* Distância da imagem acima */
}

.btn-enrolc {
    width: 80%;
    margin: 20px auto; /* Centraliza o botão horizontalmente */
    display: block;
    text-align: center;
    margin-top: 5px; /* Distância da imagem acima */
}

/* Ajuste adicional para centralizar dentro do sidebar */
.course-sidebar .btn-enrolb {
    margin-left: auto;
    margin-right: auto;
    display: block;
    width: 80%;
    padding: 10px;
    font-size: 1.25rem;
    font-weight: 600;
}

.course-sidebar .btn-enrolc {
    margin-left: auto;
    margin-right: auto;
    display: block;
    width: 80%;
    padding: 10px;
    font-size: 1.25rem;
    font-weight: 600;
}

.btn.btn-danger {
    margin-top: 2px;
    margin-bottom: 40px;
    margin-left: auto;
    margin-right: auto;
    display: block;
    width: 80%;
}

.sidebar-btn {
    margin-top: 60px;
    width: 80%;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.course-field-fieldb, .course-field-fieldc, .course-field-fieldd, .course-field-fielde, .course-field-fieldf, .course-field-fieldg, .course-field-fieldh, .course-field-fieldi, .course-field-fieldj {
    font-size: 15px;
    color: #535353;
    margin: 8px 0px 0px 20px;
    line-height: 1.5em;
    -webkit-margin-after: 2em;
    -webkit-margin-before: 2em;
}

.course-field-price {
    font-size: 23px;
    color: #000;
    margin-bottom: 10px;
    margin: -22px 4px 29px 0;
    text-align: center;
}

.editor_atto_content.form-control[aria-labelledby="id_customfield_price_editor_label"] {
    height: 40px !important;
    min-height: 42px !important;
}

/* Estilo da nuvem de tags */
.tag-cloud {
    text-align: center; /* Centraliza as tags na nuvem */
    margin-top: 20px;
}

.tag-cloud .tag-item {
    display: inline-block;
    background-color: #f0f0f0;
    color: #333;
    padding: 5px 10px;
    margin: 5px;
    font-size: 14px;
    border-radius: 3px;
    text-decoration: none;
    transition: background-color 0.3s, color 0.3s;
}

.tag-cloud .tag-item:hover {
    background-color: #007bff;
    color: #fff;
}

 full-width-banner{
  height: 650px !important;
  width: 100vw !important;
  margin-left: calc(-53vw + 51%) !important;}



/*CSS MOBILE*/

/* Estilos para dispositivos pequenos (menos de 576px) */
@media (max-width: 575.98px) {
    .course-content-wrapper {
    display: flex;
    padding: 20px 0 0 0;
    position: relative;
    flex-wrap: wrap;
    flex-direction: column;
}

#page-wrapper #page {
        display: flex;
        flex-direction: column;
        align-content: center;
        align-items: center;
    }

#page.drawers .main-inner {
        padding: 0.5rem 0rem 0 1.35rem;
    }
    
    .d-grid.gap-2 button {
        height: 76px;
        width: 88px;
        margin: 0 13px 0 13px;
    }

/*ja ajustado para a tela iphone SE*/
    .course-sidebar {
       margin: -202px auto 10px !important;
       width: 325px!important;
    }

.modal-fullscreen .modal-body {
    max-height: 211px!important;
}

.banner-content {
    padding: 16px 0 0 0 !important;
    margin-top: 54px !important;
    left: 0px !important;
}

.container.py-4 {
padding-top: 0.5rem !important;
    
    }
    
.full-width-banner{
    height: 537px !important;
    margin-left: calc(-52.3vw + 50%) !important;
    width: 103vw !important;
    
}

.d-grid.gap-2 button {
        height: 89px !important;
        width: 42%!important;
        left: 25%!important;
    }

.course-main-content {
        margin: 50px 0 0 -10px!important;
        max-width: 100%!important;
    }

a.facebook.btn.btn-link {
    padding: 5px 9px 5px 9px !important;
}    

a.twitter.btn.btn-link, a.linkedin.btn.btn-link, a.youtube.btn.btn-link, a.instagram.btn.btn-link, a.whatsapp.btn.btn-link, a.telegram.btn.btn-link   {
    padding: 5px !important;
}

    .accordion {
        margin: 0 -10px 0 -1px !important;
    }

}    

@media (max-width: 575.98px) {
.accordion {
    button {
            padding: 0.9em 10px;
            color: #3f4041;
            font-size: 1rem !important;
            border-top: solid 1px #999999b5;
            background: #f1f1f1a8;
            border-right: solid 1px #999999b5;
            border-left: solid 1px #999999b5;
        }
} 
.accordion {
    & button {
        .icon {
           display: none;
        }
    }
}
}  

    
    /* Estilos para dispositivos móveis médios (de 576px até 768px) */
@media (min-width: 576px) and (max-width: 767.98px) {
    .course-content-wrapper {
    display: flex;
    justify-content: flex-start;
    padding: 20px;
    position: relative;
    flex-wrap: wrap !important;
}

#page-wrapper #page {
        display: flex;
        flex-direction: column;
        align-content: center;
        align-items: center;
    }

#page.drawers .main-inner {
        padding: 0.5rem 0rem 0 1.35rem;
    }
    
    .d-grid.gap-2 button {
        height: 76px;
        width: 88px;
        margin: 0 13px 0 13px;
    }

    .course-sidebar {
       margin: -63% 0 0 -12px !important;
       width: 375px!important;
    }

.modal-fullscreen .modal-body {
    max-height: 211px!important;
}

.banner-content {
    padding: 16px 0 0 0 !important;
    margin-top: 54px !important;
    left: 0px !important;
}

.container.py-4 {
padding-top: 0.5rem !important;
    
    }
    
.full-width-banner{
    height: 650px !important;
    margin-left: calc(-52.3vw + 50%) !important;   
    
}

.d-grid.gap-2 button {
        height: 89px !important;
        width: 42%!important;
        left: 25%!important;
    }

.course-main-content {
        margin: 50px 0 0 -10px!important;
        max-width: 100%!important;
    }

a.facebook.btn.btn-link {
    padding: 5px 9px 5px 9px !important;
}    

a.twitter.btn.btn-link, a.linkedin.btn.btn-link, a.youtube.btn.btn-link, a.instagram.btn.btn-link, a.whatsapp.btn.btn-link, a.telegram.btn.btn-link   {
    padding: 5px !important;
}

.accordion {
    margin: 15px 0 0 0;
}
    }


/* Estilos para tablets (de 768px até 992px) */
@media (min-width: 768px) and (max-width: 991.98px) {
    .course-content-wrapper {
    display: flex;
    justify-content: flex-start;
    padding: 20px;
    position: relative;
    flex-wrap: wrap !important;
}

.d-grid.gap-2 button {
    height: 16% !important;
    width: 42% !important;
    top: 8% !important;
    left: 28% !important;
}

.course-sidebar .btn-enrolc {
    margin-left: auto;
    margin-right: auto;
    display: block;
    width: 80%;
    padding: 10px;
    font-size: 3rem;
    font-weight: 600;
}

.course-sidebar .btn-enrolb {
    margin-left: auto;
    margin-right: auto;
    display: block;
    width: 80%;
    padding: 10px;
    font-size: 3rem;
    font-weight: 600;
}

.course-field-price {
    font-size: 2rem;
}

.course-main-content {
    padding: 60px 0 0 0;
    }

.course-field-fieldb, .course-field-fieldc, .course-field-fieldd, .course-field-fielde, .course-field-fieldf, .course-field-fieldg, .course-field-fieldh, .course-field-fieldi, .course-field-fieldj {
    font-size: 1.5rem;
}

.course-sidebar {
    height: 100%;
    }
    
.banner-content {
    font-size: 1.4em;
}

#page-footer .col-6.column-center{
    width: 36% !important;
}

.accordion {
    button {
        font-size: 1.5rem;
    }
}    
}
    
/* Estilos para desktops pequenos (de 992px até 1200px) */
@media (min-width: 992px) and (max-width: 1199.98px) {
       .course-content-wrapper {
    display: flex;
    justify-content: flex-start;
    padding: 20px;
    position: relative;
    flex-wrap: wrap !important;
}

.d-grid.gap-2 button {
    height: 16% !important;
    width: 42% !important;
    top: 8% !important;
    left: 28% !important;
}

.course-sidebar .btn-enrolc {
    margin-left: auto;
    margin-right: auto;
    display: block;
    width: 80%;
    padding: 10px;
    font-size: 3rem;
    font-weight: 600;
}

.course-sidebar .btn-enrolb {
    margin-left: auto;
    margin-right: auto;
    display: block;
    width: 80%;
    padding: 10px;
    font-size: 3rem;
    font-weight: 600;
}

.course-field-price {
    font-size: 2rem;
}

.course-main-content {
    padding: 60px 0 0 0;
    }

.course-field-fieldb, .course-field-fieldc, .course-field-fieldd, .course-field-fielde, .course-field-fieldf, .course-field-fieldg, .course-field-fieldh, .course-field-fieldi, .course-field-fieldj {
    font-size: 1.5rem;
}

.course-sidebar {
    height: 100%;
    }
    
.banner-content {
    font-size: 1.4em;
}

#page-footer .col-6.column-center{
    width: 36% !important;
}

.accordion {
    button {
        font-size: 1.5rem;
    }
}    
}
    
    
/* Estilos para desktops grandes (acima de 1200px) */
@media (min-width: 1200px) {
    
    }
    

/*Arruamando o css*/
.modal-dialog {
    max-width: 780px;
    margin: 1.75rem auto;
}

div#videoModal {
    background: #000000b8;
}

.modal-content {
    background: transparent;
    width: 100%;
}

.modal-title {
    display: none;
}

.modal-header {
    border-bottom: none;
}

.modal-fullscreen .modal-body {
    overflow-y: auto;
    max-height: 439px;
}

.modal-footer button {
    text-align: center;
    width: 110px;
    padding: 6px;
    color: #ffffff;
    background: #00000087;
}

.video-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 280px;
    background: rgba(0, 0, 0, 0.5);
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.video-overlay span {
    font-size: 46px;
    color: #fff;
    text-align: center;
    line-height: 84px;
    width: 84px;
    height: 84px;
    background: #00000087;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.course-sidebar .video-banner {
    position: relative;
}

.d-grid.gap-2 button {
    background: #830a0a61 !important;
    height: 70px;
    width: 110px;
    position: absolute;
    top: 7%;
    left: 32%;
    border: none !important;
    z-index: 10;
    display: flex;
    align-items: center;
    cursor: pointer;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: center;
    box-shadow: 3px 4px 9px #00000061;
    outline: none !important;
}

/* Adicionando o ícone de play */
.d-grid.gap-2 button::before {
    content: "\f04b";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    font-size: 3em;
    color: #ffffffd4;
    margin: 2px 0px 0 6px;
}

/* tamanhos de tela */
@media (max-width: 768px) {
    .d-grid.gap-2 button {
        height: 150px; /* Ajusta a altura em telas menores */
        width: 100%; /* A largura continua cobrindo a imagem */
    }

    .d-grid.gap-2 button::before {
        font-size: 2.5em; /* Diminui o tamanho do ícone em telas menores */
    }
}